APIs / ImmobilienScout24 / Search
ImmobilienScout24: Search
Search from ImmobilienScout24 as JSON. 1 credit per successful call.
GET /v1/immobilienscout24/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
location | string | Required | Up to 255 characters |
type | string | Optional | apartment-rent, apartment-buy, house-rent, house-buy |
price_min | integer | Optional | Any |
price_max | integer | Optional | Any |
rooms_min | number | Optional | Any |
rooms_max | number | Optional | Any |
size_min | integer | Optional | Any |
size_max | integer | Optional | Any |
page | integer | Optional | Any |
per_page | integer | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/immobilienscout24/search?location=Berlin&type=apartment-rent" \
-H "X-API-Key: $API_KEY"Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.